This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 104226 - Three module enhancements in 2.0.47
Three module enhancements in 2.0.47
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 10:11 EDT by Peter Bowen
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-11 10:18:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
streamy propfind (12.82 KB, patch)
2003-09-11 10:11 EDT, Peter Bowen
no flags Details | Diff
language preference support in mod_negotiation (6.69 KB, patch)
2003-09-11 10:12 EDT, Peter Bowen
no flags Details | Diff
fix ExpiresByType in mod_expires (5.65 KB, patch)
2003-09-11 10:13 EDT, Peter Bowen
no flags Details | Diff

  None (edit)
Description Peter Bowen 2003-09-11 10:11:07 EDT
Three modules, mod_dav, mod_negotiation, and mod_expires got enhancements in
2.0.47 that should be considered for inclusion in RHEL's 2.0.46.
Comment 1 Peter Bowen 2003-09-11 10:11:46 EDT
Created attachment 94413 [details]
streamy propfind

Changes with Apache 2.0.47
 
  *) Add support for "streamy" PROPFIND responses.
     [Ben Collins-Sussman <sussman@collab.net>]
Comment 2 Peter Bowen 2003-09-11 10:12:48 EDT
Created attachment 94414 [details]
language preference support in mod_negotiation

Changes with Apache 2.0.47
 
  *) mod_negotiation: Introduce "prefer-language" environment variable,
     which allows to influence the negotiation process on request basis
     to prefer a certain language.  [AndréMalo]
Comment 3 Peter Bowen 2003-09-11 10:13:21 EDT
Created attachment 94415 [details]
fix ExpiresByType in mod_expires

Changes with Apache 2.0.47
 
  *) Make mod_expires' ExpiresByType work properly, including for
     dynamically-generated documents.  [Ken Coar, Bill Stoddard]
Comment 4 Joe Orton 2003-09-11 10:18:23 EDT
All these are changes are a little larger than I'd be happy to integrate this
late in the release cycle.  I'll defer these for now.
Comment 5 Joe Orton 2004-04-01 16:00:18 EST
FYI, the mod_expires and mod_dav changes were included in the recent
httpd erratum (package version httpd-2.0.46-32.ent).

Note You need to log in before you can comment on or make changes to this bug.